Admiral
Changesets

Apply a change set

POST
/v1/changesets/{change_set_id}/apply

FAILED_PRECONDITION when the plan is not current or did not succeed, an approval is required and missing, the change set was cut from an older generation of the environment (rebase needed), or another change set holds the environment.

Scope: changeset:write

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...

In: header

Path Parameters

change_set_id*change_set_id

The change_set_id path parameter.

Match^cs-[0-9a-z]{12}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/changesets/string/apply" \  -H "Content-Type: application/json" \  -d '{    "revision": 1,    "plan_digest": "string"  }'
{  "apply": {    "revision": 0,    "job_id": "string",    "status": "JOB_STATUS_UNSPECIFIED",    "wait_reason": "WAIT_REASON_UNSPECIFIED",    "plan_digest": "string",    "components": [      {        "component": "string",        "status": "JOB_STATUS_UNSPECIFIED",        "message": "string"      }    ],    "message": "string",    "applied_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "created_at": "2023-01-15T01:30:15.01Z",    "finished_at": "2023-01-15T01:30:15.01Z",    "accepted_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "accepted_reason": "string",    "accepted_at": "2023-01-15T01:30:15.01Z"  }}